import React from "react";
import PropTypes from "prop-types";
import styled from "styled-components";

/**
 * Primary UI component for user interaction
 */
export const Container = ({ gap, centerd, ...props }) => {
  return (
    <StyledContainer gap={gap} centerd={centerd} {...props}></StyledContainer>
  );
};

const StyledContainer = styled.div`
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  gap: ${(props) => `${props.gap}`};
  justify-content: ${(props) => (props.centerd ? "center" : "normal")};
`;

Container.propTypes = {
  gap: PropTypes.number,
  centerd: PropTypes.bool,
};

Container.defaultProps = {
  gap: "1",
  centerd: false,
};
