import React from "react";
import PropTypes from "prop-types";
import styled from "styled-components";

/**
 * Primary UI component for user interaction
 */
export const Grid = ({ gap, centerd, ...props }) => {
  return (
    <StyledContainer gap={gap} centerd={centerd} {...props}></StyledContainer>
  );
};

const StyledContainer = styled.div`
  display: grid;
  padding: 2em;
  grid-template-columns: repeat(auto-fit, minmax(186px, 1fr));
  gap: ${(props) => `${props.gap}`};
  justify-content: ${(props) => (props.centerd ? "center" : "normal")};
`;

Grid.propTypes = {
  gap: PropTypes.string,
  centerd: PropTypes.bool,
};

Grid.defaultProps = {
  gap: "1",
  centerd: false,
};
